Search.setIndex({"docnames": ["index", "release/0.11.0", "release/0.12.0", "release/0.13.0", "source/api", "source/license", "source/pyfftw/builders/_utils", "source/pyfftw/builders/builders", "source/pyfftw/interfaces/dask_fft", "source/pyfftw/interfaces/interfaces", "source/pyfftw/interfaces/numpy_fft", "source/pyfftw/interfaces/scipy_fft", "source/pyfftw/interfaces/scipy_fftpack", "source/pyfftw/pyfftw", "source/tutorial"], "filenames": ["index.rst", "release/0.11.0.rst", "release/0.12.0.rst", "release/0.13.0.rst", "source/api.rst", "source/license.rst", "source/pyfftw/builders/_utils.rst", "source/pyfftw/builders/builders.rst", "source/pyfftw/interfaces/dask_fft.rst", "source/pyfftw/interfaces/interfaces.rst", "source/pyfftw/interfaces/numpy_fft.rst", "source/pyfftw/interfaces/scipy_fft.rst", "source/pyfftw/interfaces/scipy_fftpack.rst", "source/pyfftw/pyfftw.rst", "source/tutorial.rst"], "titles": ["Welcome to pyFFTW\u2019s documentation!", "pyFFTW v0.11.0 Release Notes", "pyFFTW v0.12.0 Release Notes", "pyFFTW v0.13.0 release notes", "API Reference", "License", "<code class=\"docutils literal notranslate\"><span class=\"pre\">pyfftw.builders._utils</span></code> - Helper functions for <code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">pyfftw.builders</span></code>", "<code class=\"docutils literal notranslate\"><span class=\"pre\">pyfftw.builders</span></code> - Get <code class=\"xref py py-class docutils literal notranslate\"><span class=\"pre\">FFTW</span></code> objects using a <code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">numpy.fft</span></code> like interface", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">dask.fft</span></code> interface", "<code class=\"docutils literal notranslate\"><span class=\"pre\">pyfftw.interfaces</span></code> - Drop in replacements for other FFT implementations", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">numpy.fft</span></code> interface", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">scipy.fft</span></code> interface", "<code class=\"xref py py-mod docutils literal notranslate\"><span class=\"pre\">scipy.fftpack</span></code> interface", "<code class=\"docutils literal notranslate\"><span class=\"pre\">pyfftw</span></code> - The core", "Overview and A Short Tutorial"], "terms": {"i": [0, 1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14], "python": [0, 1, 2, 3, 9, 13, 14], "wrapper": [0, 1, 2, 3, 13, 14], "around": [0, 1, 2, 3, 13, 14], "fftw": [0, 2, 3, 4, 6, 9, 11, 12], "speedi": [0, 1, 2, 3], "fft": [0, 1, 3, 4, 6, 12, 13, 14], "librari": [0, 2, 3, 5, 7, 9, 13], "The": [0, 1, 2, 3, 4, 6, 8, 9, 10, 11, 12], "ultim": [0, 1, 2, 3, 13], "aim": [0, 1, 2, 3], "present": [0, 1, 2, 3, 7, 9, 13], "unifi": [0, 1, 2, 3], "interfac": [0, 3, 4, 6, 13], "all": [0, 1, 2, 3, 5, 6, 7, 9, 13, 14], "possibl": [0, 1, 2, 3, 5, 7, 9, 13, 14], "transform": [0, 2, 3, 6, 7, 8, 9, 10, 11, 12, 13], "can": [0, 1, 2, 3, 6, 7, 9, 13, 14], "perform": [0, 1, 2, 3, 7, 8, 9, 10, 11, 12, 13, 14], "both": [0, 1, 2, 6, 7, 13, 14], "complex": [0, 1, 2, 7, 13, 14], "dft": [0, 1, 2, 7, 9, 10, 13, 14], "real": [0, 1, 2, 3, 6, 7, 8, 10, 11, 12, 13, 14], "ar": [0, 1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14], "support": [0, 2, 3, 4, 9, 10, 13, 14], "well": [0, 1, 2, 3, 9, 13, 14], "arbitrari": [0, 1, 2, 13], "ax": [0, 1, 2, 4, 6, 7, 8, 9, 10, 11, 12, 13, 14], "abitrari": 0, "shape": [0, 1, 2, 6, 7, 9, 12, 13, 14], "stride": [0, 1, 2, 9, 13, 14], "arrai": [0, 1, 2, 6, 7, 8, 9, 10, 11, 12, 13, 14], "which": [0, 1, 6, 7, 8, 9, 10, 11, 12, 13, 14], "make": [0, 1, 7, 9, 13, 14], "almost": [0, 14], "featur": 0, "equival": [0, 1, 2, 3, 7, 8, 9, 10, 11, 12, 13, 14], "standard": [0, 6, 7], "function": [0, 1, 4, 5, 8, 10, 11, 12], "numpi": [0, 2, 3, 4, 6, 8, 9, 11, 12, 13, 14], "inde": 0, "clongdoubl": [0, 13], "dtype": [0, 1, 2, 6, 7, 9, 13, 14], "doe": [0, 2, 14], "oper": [0, 1, 2, 6, 7, 13, 14], "multithread": [0, 1, 2], "mode": [0, 1, 2, 13], "core": [0, 4, 14], "provid": [0, 1, 2, 3, 5, 6, 8, 9, 10, 11, 12, 13, 14], "class": [0, 4, 6, 7], "thi": [0, 1, 2, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14], "access": [0, 9, 13, 14], "directli": [0, 1, 6, 8, 9, 10, 11, 12, 13, 14], "through": [0, 6, 7, 9, 13, 14], "seri": [0, 14], "helper": [0, 4, 13, 14], "builder": [0, 4, 9, 11, 12, 13], "modul": [0, 1, 2, 3, 6, 7, 8, 9, 10, 11, 12, 13], "These": [0, 3, 6, 9, 13, 14], "an": [0, 1, 7, 8, 9, 10, 11, 12, 13, 14], "similar": [0, 6, 11, 12, 13, 14], "eas": [0, 14], "us": [0, 1, 2, 3, 4, 5, 6, 8, 9, 11, 12, 13, 14], "In": [0, 1, 7, 9, 13, 14], "addit": [0, 1, 2, 3, 4, 6, 8, 10, 11, 12, 13, 14], "conveni": [0, 1, 14], "includ": [0, 1, 5, 6, 8, 9, 10, 11, 12, 13, 14], "scipi": [0, 1, 3, 7, 9, 14], "fftpack": [0, 2, 6, 7, 8, 9, 10, 11, 13, 14], "sourc": [0, 1, 5], "found": [0, 1, 7, 13], "github": [0, 1, 3], "its": [0, 5, 13, 14], "page": [0, 13], "packag": [0, 1, 2, 3, 9, 14], "index": [0, 1], "here": [0, 5, 6, 8, 10, 11, 12, 13], "A": [0, 1, 2, 3, 5, 6, 7, 9, 13], "comprehens": 0, "unittest": 0, "suit": [0, 1, 2], "repositori": 0, "If": [0, 1, 5, 6, 7, 9, 10, 13, 14], "ani": [0, 5, 7, 8, 9, 10, 13, 14], "aspect": [0, 8, 10, 11, 12], "cover": 0, "test": [0, 1, 2, 3, 13], "bug": 0, "pleas": [0, 3, 14], "report": 0, "overview": [0, 4], "short": [0, 9], "tutori": [0, 7], "quick": 0, "easi": 0, "workhors": 0, "configur": [0, 4], "plan": [0, 7, 9, 11, 12, 13], "effort": [0, 1, 7, 9, 13], "number": [0, 1, 7, 9, 13], "thread": [0, 6, 7, 9, 10, 12, 13], "licens": [0, 1], "api": [0, 2, 6, 9, 14], "refer": [0, 1, 2, 13, 14], "get": [0, 4, 14], "object": [0, 4, 6, 9, 13, 14], "like": [0, 1, 2, 4, 9, 14], "_util": [0, 4, 14], "drop": [0, 1, 2, 3, 4, 14], "replac": [0, 1, 2, 3, 4, 8, 10, 11, 12, 14], "other": [0, 4, 5, 7, 13, 14], "implement": [0, 1, 2, 3, 4, 8, 10, 11, 12, 13, 14], "search": [0, 1, 11, 12, 13], "we": [1, 2, 3, 13, 14], "happi": [1, 2, 3], "announc": [1, 2, 3], "result": [1, 6, 7, 9, 10, 13, 14], "more": [1, 2, 3, 5, 7, 8, 9, 10, 13, 14], "than": [1, 7, 9, 11, 12, 13, 14], "two": [1, 5, 6, 9, 13], "year": 1, "work": [1, 3, 9, 13, 14], "9": 1, "contributor": [1, 5], "3": [1, 2, 5, 7, 11, 12, 13, 14], "order": [1, 2, 3, 6, 7, 9, 13], "user": [1, 2, 3, 6, 7, 9, 13, 14], "take": [1, 2, 3, 7, 9, 11, 12, 13, 14], "advantag": [1, 2, 3], "speed": [1, 2, 3, 9, 11, 12, 13, 14], "minim": [1, 2, 3], "code": [1, 2, 3, 5, 7, 9, 12, 13, 14], "modif": [1, 2, 3, 5], "complet": [1, 6, 14], "": [1, 6, 7, 8, 9, 10, 11, 13, 14], "It": [1, 7, 8, 9, 10, 13, 14], "under": [1, 5, 14], "hood": 1, "from": [1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14], "import": [1, 2, 7, 8, 9, 10, 11, 12, 13, 14], "routin": [1, 7, 9, 13, 14], "next_fast_len": [1, 4, 9, 11, 12, 13], "ha": [1, 2, 7, 9, 11, 12, 13, 14], "been": [1, 2, 3, 6, 9, 13, 14], "ad": [1, 13], "allow": [1, 3, 5, 9, 13, 14], "easili": [1, 14], "determin": [1, 13, 14], "size": [1, 6, 7, 11, 12, 13, 14], "comput": [1, 6, 7, 9, 11, 12, 13, 14], "computation": 1, "effici": [1, 11, 12, 13], "wa": [1, 2, 10, 13, 14], "previous": 1, "onli": [1, 7, 8, 9, 10, 13, 14], "valu": [1, 7, 13, 14], "normal": [1, 3], "pre": [1, 11, 12, 13, 14], "chosen": [1, 8, 10], "same": [1, 6, 7, 8, 9, 10, 13, 14], "manner": 1, "setup": [1, 3], "py": [1, 3], "overhaul": 1, "variant": [1, 6], "singl": [1, 7, 8, 10, 13, 14], "doubl": [1, 7, 8, 9, 10, 13, 14], "long": [1, 10, 11, 12, 13, 14], "were": [1, 13], "requir": [1, 5, 6, 7, 8, 9, 10, 13, 14], "now": [1, 2, 3], "compil": 1, "attempt": [1, 7], "base": [1, 8, 10], "also": [1, 2, 3, 5, 7, 9, 13, 14], "specifi": [1, 6, 13, 14], "path": 1, "set": [1, 2, 5, 6, 7, 9, 13, 14], "environ": [1, 13, 14], "variabl": [1, 2, 13, 14], "pyfftw_lib_dir": [1, 3], "One": [1, 9, 10], "caveat": [1, 4, 9, 10, 14], "default": [1, 6, 7, 8, 9, 10, 13, 14], "window": [1, 3], "platform": [1, 2, 13], "assumpt": 1, "full": [1, 3, 13, 14], "precompil": 1, "have": [1, 3, 5, 6, 7, 8, 9, 13, 14], "download": 1, "org": 1, "altern": [1, 13], "pyfftw_win_condaforg": 1, "defin": [1, 13, 14], "name": [1, 2, 5, 13], "fftw3": [1, 5], "dll": 1, "fftw3f": 1, "fftw3l": 1, "compat": [1, 2, 6, 9, 14], "cmake": 1, "conda": [1, 2, 3], "forg": [1, 3], "runtim": [1, 9], "avail": [1, 3, 5, 7, 9, 10, 13, 14], "select": [1, 9, 11, 12, 13], "most": [1, 9, 14], "suitabl": [1, 14], "precis": [1, 7, 8, 9, 10, 13, 14], "input": [1, 6, 7, 8, 9, 10, 13, 14], "For": [1, 3, 7, 9, 11, 12, 13, 14], "exampl": [1, 3, 7, 9, 11, 12, 13, 14], "precsion": 1, "against": 1, "posix": 1, "prefer": 1, "desir": [1, 7, 13], "instead": [1, 7, 12, 13, 14], "link": [1, 3], "pyfftw_use_pthread": 1, "should": [1, 6, 7, 9, 12, 13, 14], "config": [1, 4, 7, 13, 14], "assign": [1, 13, 14], "via": [1, 3, 11, 12, 13, 14], "num_thread": [1, 4, 13, 14], "planner_effort": [1, 4, 6, 7, 9, 10, 11, 12, 13, 14], "pyfftw_num_thread": [1, 13], "pyfftw_planner_effort": [1, 13], "depend": [1, 13, 14], "potenti": [1, 9, 14], "overwrit": [1, 7], "output": [1, 6, 7, 8, 10, 13, 14], "upon": [1, 13], "repeat": [1, 7, 9, 10, 13, 14], "call": [1, 6, 7, 9, 13, 14], "199": 1, "integ": [1, 11, 12, 13, 14], "overflow": 1, "empty_align": [1, 4, 7, 9, 13, 14], "192": 1, "rfftfreq": 1, "1": [1, 2, 3, 6, 7, 9, 10, 11, 12, 13, 14], "8": [1, 2], "207": 1, "float16": 1, "rather": [1, 9], "fftw_measur": [1, 6, 9, 13, 14], "fftw_estim": [1, 7, 9, 13, 14], "faster": [1, 7, 9, 13, 14], "case": [1, 7, 8, 9, 10, 11, 12, 13, 14], "where": [1, 7, 9, 11, 12, 13], "mani": [1, 7, 9, 10, 13, 14], "manual": [1, 13], "futurewarn": [1, 2], "relat": 1, "multiindex": 1, "15": 1, "avoid": [1, 2, 13], "modern": 1, "convent": [1, 13], "version": [1, 2, 6, 13, 14], "handl": [1, 2, 7, 9, 10, 13, 14], "automat": [1, 14], "document": [1, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14], "built": [1, 10, 13], "host": 1, "read": [1, 7, 13, 14], "doc": [1, 2, 3, 7, 8, 10, 11, 12, 14], "http": 1, "readthedoc": 1, "io": 1, "frederik": 1, "beaujean": 1, "denni": 1, "brakhan": 1, "henri": [1, 2, 3], "gomersal": [1, 2, 3], "john": [1, 2], "kirkham": [1, 2], "antoni": 1, "lee": [1, 2, 3], "gregori": [1, 2, 3], "r": [1, 2], "ibli": 1, "lin": 1, "matthew": 1, "d": [1, 7, 8, 10, 11, 12, 13, 14], "scholefield": 1, "hsiou": 1, "yuan": 1, "herbert": 1, "liu": 1, "total": [1, 2], "peopl": [1, 2], "contribut": [1, 2], "patch": [1, 2, 14], "first": [1, 2, 7, 8, 9, 10, 11, 12, 13, 14], "list": [1, 5, 7, 9, 13], "gener": [1, 6, 7, 8, 9, 10, 11, 12, 13, 14], "mai": [1, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14], "fulli": [1, 14], "27": 1, "miss": 1, "float": [1, 7, 8, 10, 13, 14], "32": [1, 8, 10, 13, 14], "distribut": [1, 5], "64": [1, 9, 14], "clean": [1, 9], "instal": [1, 2, 14], "txt": 1, "file": [1, 5, 14], "importerror": [1, 9], "No": [1, 6, 14], "70": 1, "varieti": [1, 13], "86": 1, "add": [1, 2, 3, 9, 14], "tarbal": 1, "87": 1, "125": 1, "pip": 1, "fail": [1, 9, 13], "travi": 1, "ci": [1, 3], "132": [1, 9], "citat": 1, "134": 1, "broken": 1, "146": 1, "readm": [1, 2, 3], "pypi": [1, 3], "still": [1, 7, 9, 13], "point": [1, 7, 8, 9, 10, 13, 14], "com": 1, "hgomersal": 1, "151": 1, "152": 1, "sever": [1, 9], "method": [1, 6, 7, 9, 13, 14], "174": 1, "175": 1, "2": [1, 2, 3, 5, 6, 7, 10, 11, 12, 13, 14], "n": [1, 4, 6, 7, 8, 9, 10, 11, 12, 13, 14], "196": 1, "url": 1, "descript": [1, 13], "197": 1, "corrupt": 1, "206": 1, "numpy_fft": [1, 3, 4, 8, 10, 14], "re": [1, 3], "export": [1, 9, 13, 14], "215": 1, "appveyor": [1, 2], "statu": 1, "pr": [1, 2], "140": 1, "enh": 1, "process": [1, 7, 9, 13, 14], "148": 1, "np": 1, "sp": 1, "149": 1, "freebsd": 1, "153": 1, "hfft": [1, 8, 9, 10, 11], "ihfft": [1, 8, 9, 10, 11], "154": 1, "155": 1, "separ": 1, "156": 1, "157": 1, "renam": [1, 2], "cach": [1, 3, 4, 13, 14], "158": 1, "too": 1, "159": 1, "introduc": [1, 2, 14], "18": 1, "160": 1, "rfft": [1, 4, 7, 8, 9, 10, 11, 12], "161": 1, "rtd": 1, "162": [1, 14], "check": [1, 13], "system": 1, "prefix": 1, "header": 1, "163": 1, "move": 1, "out": [1, 5, 6, 11, 12, 13], "164": 1, "sphinx": 1, "165": 1, "166": 1, "sure": [1, 7, 9, 14], "167": 1, "extend": [1, 9, 13], "169": 1, "170": 1, "redirect": 1, "171": 1, "172": 1, "problem": 1, "lib": 1, "being": [1, 7, 9, 10, 13], "173": 1, "bld": 1, "numpy1": 1, "python3": 1, "6": 1, "so": [1, 7, 8, 9, 10, 13, 14], "bump": [1, 2], "10": [1, 3, 7, 13, 14], "4": [1, 2, 7, 14], "176": 1, "autom": 1, "177": 1, "178": 1, "disabl": [1, 4, 7, 9, 13, 14], "182": 1, "185": 1, "186": 1, "updat": [1, 2, 3, 13, 14], "scipy_fftpack": [1, 2, 3, 4, 11, 12, 13, 14], "namespac": [1, 8, 9, 10, 11, 12], "189": 1, "pyx": 1, "part": [1, 6, 13, 14], "190": 1, "wip": 1, "simpl": [1, 9, 14], "machin": [1, 11, 12, 13], "198": 1, "misalign": 1, "caus": [1, 5, 7, 9, 13], "200": 1, "syntax": 1, "conf": 1, "209": 1, "longdoubl": [1, 13, 14], "210": 1, "install_requir": 1, "contain": [1, 7], "211": 1, "212": 1, "213": 1, "extra": [1, 7, 9], "216": 1, "tweak": [1, 3, 9], "appeveyor": 1, "bintrai": 1, "stuff": 1, "properli": 1, "look": [1, 9], "up": [1, 7, 11, 12, 13, 14], "ver": 1, "218": 1, "explicitli": [1, 2, 13], "219": 1, "option": [1, 3, 9, 13, 14], "221": 1, "230": 1, "clarif": 1, "233": 1, "non": [1, 2, 5, 7, 9, 11, 12, 13], "tupl": [1, 13, 14], "multidimension": [1, 7, 13], "indic": [1, 13], "240": 1, "multi": [1, 7], "warn": [1, 12], "241": 1, "choic": [1, 13], "242": 1, "mkl_fft": 1, "when": [1, 6, 7, 9, 13, 14], "highlight": [2, 3], "compatibil": 2, "7": [2, 3, 11, 12, 13], "5": [2, 3, 11, 12, 13], "dask": [2, 3, 14], "exist": [2, 6, 9, 14], "match": [2, 7, 13], "newer": 2, "recent": 2, "278": 2, "cython": 2, "_n": 2, "conflict": 2, "preprocessor": 2, "token": 2, "some": [2, 7, 8, 9, 10, 11, 12, 13, 14], "259": 2, "language_level": 2, "3str": 2, "futur": [2, 6, 13, 14], "peter": 2, "bell": 2, "stefan": 2, "peterson": 2, "dwesl": 2, "time": [2, 3, 7, 9, 10, 11, 12, 13, 14], "help": 2, "review": 2, "268": 2, "276": 2, "break": 2, "257": 2, "instruct": [2, 7, 9, 13, 14], "262": 2, "third": [2, 9, 13, 14], "parti": [2, 9], "planfftw": [2, 14], "265": 2, "remov": [2, 3, 9, 14], "public": [2, 6], "_fftpack": 2, "within": [2, 7, 9, 14], "267": [2, 14], "treat": 2, "differ": [2, 6, 7, 9, 10, 13, 14], "269": 2, "271": 2, "273": 2, "argument": [2, 4, 6, 8, 10, 11, 12, 13, 14], "scipy_fft": [2, 3, 4, 11, 14], "274": 2, "worker": [2, 9, 11], "283": 2, "languag": 2, "level": [2, 13, 14], "inform": [3, 5, 8, 10, 13, 14], "see": [3, 5, 7, 8, 10, 13, 14], "specif": [3, 5, 9, 13, 14], "type": [3, 6, 7, 8, 9, 10, 11, 12, 13, 14], "iv": 3, "discret": [3, 12, 13, 14], "sine": [3, 12, 13, 14], "cosin": [3, 12, 13, 14], "legaci": [3, 12], "new": [3, 7, 9, 12, 13, 14], "20": 3, "backward": [3, 6, 7, 13], "forward": [3, 7, 13, 14], "describ": [3, 13, 14], "maco": 3, "linux": 3, "detail": [3, 9, 14], "architectur": 3, "binari": [3, 5], "wheel": 3, "tabl": [3, 13], "prebuilt": 3, "appl": 3, "m1": 3, "processor": [3, 13], "made": [3, 7, 9, 13, 14], "pyproject": 3, "toml": 3, "226": 3, "256": [3, 14], "285": 3, "minor": 3, "chang": [3, 6, 7, 8, 9, 13, 14], "305": 3, "pyfftw_includ": 3, "311": 3, "build": [3, 13], "action": [3, 7], "cibuildwheel": 3, "318": 3, "fix": [3, 9, 13], "323": 3, "norm": [3, 7, 10, 11, 12], "330": 3, "correct": [3, 7, 13, 14], "gh": 3, "badg": 3, "workflow": 3, "331": 3, "improv": [3, 13], "actual": [3, 7, 9, 13, 14], "332": 3, "distutil": 3, "333": 3, "increas": [3, 7, 9, 13], "clearanc": 3, "334": 3, "336": 3, "miscellan": 3, "typo": 3, "337": 3, "chri": 3, "val": 3, "david": 3, "jepp": 3, "klitgaard": 3, "jonathan": 3, "essen": 3, "pierr": 3, "augier": 3, "tim": 3, "gate": 3, "pyfftw": [4, 5, 8, 10, 11, 12], "simd_align": [4, 13], "input_align": [4, 13], "output_align": [4, 13], "flag": [4, 6, 7, 9, 13, 14], "input_arrai": [4, 6, 7, 13, 14], "output_arrai": [4, 6, 13, 14], "input_shap": [4, 6, 13], "output_shap": [4, 6, 13], "input_strid": [4, 13], "output_strid": [4, 13], "input_dtyp": [4, 13], "output_dtyp": [4, 13], "direct": [4, 5, 6, 7, 13, 14], "ortho": [4, 6, 7, 13], "normalise_idft": [4, 6, 13, 14], "__call__": [4, 6, 7, 13, 14], "update_arrai": [4, 7, 13], "execut": [4, 9, 13, 14], "get_input_arrai": [4, 13], "get_output_arrai": [4, 13], "wisdom": [4, 7, 9], "export_wisdom": [4, 9, 13, 14], "import_wisdom": [4, 7, 9, 13, 14], "forget_wisdom": [4, 13, 14], "util": [4, 6], "byte_align": [4, 7, 9, 13, 14], "zeros_align": [4, 13], "ones_align": [4, 13], "is_byte_align": [4, 13], "n_byte_align": [4, 13], "n_byte_align_empti": [4, 13], "is_n_byte_align": [4, 13], "dct": [4, 7, 12, 14], "dst": [4, 7, 12], "fft2": [4, 7, 8, 9, 10, 11, 12], "fftn": [4, 7, 8, 9, 10, 11, 12, 13, 14], "ifft": [4, 7, 8, 9, 10, 11, 12, 13], "ifft2": [4, 7, 8, 9, 10, 11, 12], "ifftn": [4, 7, 8, 9, 10, 11, 12, 14], "irfft": [4, 7, 8, 9, 10, 11, 12], "irfft2": [4, 7, 8, 9, 10, 11], "irfftn": [4, 7, 8, 9, 10, 11], "rfft2": [4, 7, 8, 9, 10, 11], "rfftn": [4, 7, 8, 9, 10, 11], "_fftwwrapper": [4, 6, 7, 14], "_xfftn": [4, 6], "_compute_array_shap": [4, 6], "_cook_nd_arg": [4, 6], "_precook_1d_arg": [4, 6], "_setup_input_slic": [4, 6], "dask_fft": [4, 8, 14], "enabl": [4, 9, 13, 14], "set_keepalive_tim": [4, 9, 14], "while": 5, "except": [5, 6, 7, 8, 9, 10, 11, 12, 13], "h": 5, "releas": [5, 13], "claus": 5, "bsd": 5, "below": [5, 8, 9, 13, 14], "free": [5, 13], "gpl": 5, "proprietari": 5, "program": [5, 14], "you": [5, 7, 9, 13, 14], "intend": 5, "gpled": 5, "your": [5, 14], "must": [5, 6, 7, 8, 11, 12, 13], "do": [5, 14], "wish": [5, 14], "compli": 5, "term": [5, 13], "bui": 5, "copyright": 5, "holder": 5, "mit": 5, "each": [5, 7, 8, 10, 11, 12, 13, 14], "redistribut": 5, "form": [5, 13, 14], "without": [5, 7, 9, 11, 12, 13], "permit": 5, "follow": [5, 7, 8, 9, 13, 14], "condit": [5, 13, 14], "met": [5, 13], "retain": 5, "abov": [5, 7, 13, 14], "notic": 5, "disclaim": 5, "reproduc": 5, "materi": 5, "neither": [5, 13], "nor": 5, "endors": 5, "promot": 5, "product": [5, 7, 13], "deriv": [5, 13], "softwar": 5, "prior": [5, 7, 9, 13, 14], "written": [5, 9, 14], "permiss": 5, "BY": 5, "THE": 5, "AND": 5, "AS": 5, "express": [5, 13], "OR": 5, "impli": [5, 13], "warranti": 5, "BUT": 5, "NOT": 5, "limit": 5, "TO": 5, "OF": 5, "merchant": 5, "fit": [5, 7, 13], "FOR": 5, "particular": [5, 7, 11, 12, 13, 14], "purpos": [5, 9, 14], "IN": 5, "NO": 5, "event": 5, "shall": 5, "BE": 5, "liabl": [5, 9], "indirect": 5, "incident": 5, "special": [5, 6, 13], "exemplari": 5, "consequenti": 5, "damag": 5, "procur": 5, "substitut": 5, "good": [5, 13], "servic": 5, "loss": 5, "data": [5, 6, 7, 9, 13, 14], "profit": 5, "busi": 5, "interrupt": 5, "howev": [5, 9, 13], "ON": 5, "theori": 5, "liabil": 5, "whether": [5, 7, 9, 13], "contract": 5, "strict": 5, "tort": 5, "neglig": 5, "otherwis": [5, 8, 10, 13], "aris": 5, "wai": [5, 9, 14], "even": [5, 7, 9, 13, 14], "IF": 5, "advis": 5, "SUCH": 5, "need": [6, 9, 13, 14], "thei": [6, 7, 9, 13, 14], "aid": 6, "understand": [6, 9, 14], "what": [6, 13, 14], "happen": 6, "behind": [6, 9], "scene": [6, 9], "certainli": 6, "encount": 6, "instanc": [6, 7, 13, 14], "everyth": 6, "fftw_forward": [6, 13, 14], "input_array_slic": 6, "none": [6, 7, 8, 10, 11, 12, 13], "fftw_array_slic": 6, "true": [6, 7, 8, 9, 10, 11, 12, 13, 14], "fals": [6, 7, 9, 10, 11, 12, 13, 14], "wrap": [6, 7, 8], "slicer": 6, "stage": [6, 9, 13], "dure": [6, 7, 9, 13, 14], "per": [6, 7, 8, 10, 11, 12, 13], "keyword": [6, 7, 9, 13], "repres": [6, 7, 13, 14], "slice": [6, 7, 9, 14], "pass": [6, 7, 9, 13, 14], "intern": [6, 7, 9, 13, 14], "return": [6, 7, 8, 10, 11, 12, 13, 14], "copi": [6, 7, 9, 13, 14], "firstli": 6, "instanti": [6, 13, 14], "alwai": [6, 7, 9, 13, 14], "consequ": [6, 14], "align": [6, 7, 9, 13, 14], "maintain": [6, 13], "untouch": 6, "overwrite_input": [6, 7, 9, 10], "auto_align_input": [6, 7, 9, 10, 11, 12], "auto_contigu": [6, 7, 9, 10, 11, 12], "avoid_copi": [6, 7], "invers": [6, 7, 8, 10, 11, 12, 13, 14], "real_direction_flag": 6, "exactli": [6, 13, 14], "slight": 6, "rule": 6, "fourier": [6, 13, 14], "one": [6, 7, 8, 9, 13, 14], "e": [6, 7, 9, 11, 12, 13, 14], "g": [6, 7, 9, 13], "fftw_rodft00": [6, 13], "ignor": [6, 14], "given": [6, 13, 14], "rest": [6, 7, 8, 10, 11, 12, 13], "flesh": 6, "satisfi": [6, 9, 13, 14], "invreal": 6, "axi": [6, 7, 8, 9, 10, 11, 12, 13, 14], "turn": [6, 14], "a_shap": 6, "update_input_array_slic": 6, "On": [6, 11, 12, 13], "fftw_arrai": 6, "creat": [7, 9, 13, 14], "mostli": [7, 8, 10, 11, 12], "familiar": [7, 14], "befor": [7, 9, 13, 14], "dimension": [7, 13], "dictat": [7, 9], "child": 7, "correctli": [7, 9], "That": [7, 8, 10, 13], "subsequ": [7, 9, 13, 14], "occur": [7, 9, 10, 11, 12, 13], "expect": [7, 13, 14], "note": [7, 9, 13, 14], "side": 7, "effect": 7, "bigger": 7, "origin": [7, 13, 14], "smaller": 7, "etc": [7, 13], "along": [7, 8, 9, 10, 13, 14], "due": [7, 9], "larger": 7, "entri": [7, 9], "pad": [7, 11, 12, 13], "zero": [7, 9, 11, 12, 13], "extract": 7, "persist": [7, 13], "fill": [7, 14], "space": 7, "whatev": 7, "aren": 7, "t": [7, 14], "about": [7, 9, 13, 14], "acquir": [7, 9], "unknown": 7, "convert": [7, 8, 10, 13], "incorrect": [7, 13], "vice": 7, "versa": 7, "although": [7, 9], "load": [7, 9, 13, 14], "necessarili": [7, 9, 13], "retriev": 7, "behavior": 7, "paramet": [7, 11, 12, 13], "correspond": [7, 9, 13, 14], "alia": 7, "unscal": 7, "scale": [7, 13], "length": [7, 11, 12, 13, 14], "dimens": [7, 13, 14], "sqrt": [7, 13], "final": [7, 13, 14], "exact": [7, 13, 14], "opposit": 7, "three": [7, 12, 13, 14], "ensur": [7, 13], "roundtrip": 7, "equal": [7, 11, 12, 13], "appli": [7, 8, 13], "forwad": 7, "numer": [7, 14], "accuraci": [7, 14], "complex128": [7, 9, 13, 14], "0": [7, 9, 11, 12, 13, 14], "j": [7, 14], "signatur": 7, "respect": [7, 14], "second": [7, 9, 13, 14], "consid": [7, 9, 10, 12, 13, 14], "onc": [7, 9, 10, 13, 14], "compar": [7, 9, 10], "taken": [7, 9, 10, 13, 14], "down": [7, 9, 13, 14], "underli": [7, 13], "unless": 7, "fftw_unalign": [7, 13], "optimis": [7, 9], "reli": [7, 9, 13], "worth": [7, 9, 13], "alreadi": [7, 9, 13, 14], "complementari": [7, 14], "offer": [7, 14], "overwritten": [7, 9, 13], "sometim": [7, 9, 13], "algorithm": [7, 9, 13], "fftw_destroy_input": [7, 9, 13], "unabl": 7, "string": [7, 9, 13, 14], "how": [7, 9, 13, 14], "much": [7, 9, 13, 14], "spent": [7, 9, 13], "creation": [7, 9, 14], "valid": [7, 9, 13, 14], "impact": [7, 9, 13], "fftw_patient": [7, 9, 13], "fftw_exhaust": [7, 9, 13], "accumul": [7, 9, 13, 14], "byte": [7, 9, 13, 14], "optim": [7, 9, 11, 12, 13], "usag": [7, 9, 11, 12], "vector": [7, 9, 14], "lead": [7, 9], "substanti": [7, 9, 14], "speedup": [7, 9, 11, 12, 13], "realign": [7, 9], "necessari": [7, 9, 13, 14], "design": [7, 9, 13, 14], "unalign": [7, 13], "would": [7, 13], "despit": 7, "incur": 7, "just": [7, 9, 13], "suffici": [7, 9, 13, 14], "fastest": [7, 9, 13, 14], "contigu": [7, 9, 13], "certain": [7, 9, 13], "gap": [7, 9], "memori": [7, 9, 13, 14], "between": [7, 9, 13, 14], "control": [7, 9, 13, 14], "care": [7, 9, 14], "interim": [7, 9, 14], "becaus": [7, 9, 14], "often": [7, 9], "try": [7, 9, 13, 14], "particularli": [7, 9, 14], "conjunct": [7, 9], "By": [7, 9, 13], "destroi": [7, 13], "content": [7, 9, 13, 14], "valueerror": [7, 11, 12, 13], "rais": [7, 8, 9, 10, 11, 12, 13], "situat": [7, 9], "incompat": 7, "auto_align": 7, "distinct": [7, 13, 14], "influenc": 7, "1d": [7, 8, 10, 11, 12, 13, 14], "2d": [7, 8, 10, 11, 12], "those": [8, 10, 11, 12, 13, 14], "entir": [8, 10, 11, 12], "notabl": [8, 10, 13], "unlik": [8, 9, 10, 13, 14], "bit": [8, 9, 10, 14], "half": [8, 10], "convers": [8, 9, 10], "though": [8, 9, 10, 11, 12, 13, 14], "corner": [8, 10, 11, 12, 14], "chunk": 8, "To": [8, 14], "rechunk": 8, "docstr": 8, "four": [8, 10, 13], "signal": [8, 10, 13, 14], "hermitian": [8, 10, 11], "symmetri": [8, 10, 13], "yield": [8, 10, 14], "spectrum": [8, 10], "commonli": 9, "intent": 9, "clear": [9, 14], "establish": 9, "know": 9, "whilst": 9, "benefit": [9, 13, 14], "signific": 9, "power": [9, 11, 12, 13, 14], "done": [9, 14], "sacrific": 9, "small": [9, 14], "amount": [9, 13], "flexibl": [9, 14], "reason": [9, 13, 14], "There": 9, "therefor": 9, "overhead": [9, 14], "planner": [9, 13, 14], "after": [9, 13, 14], "larg": [9, 14], "allevi": 9, "veri": [9, 14], "suffer": 9, "rel": [9, 13], "slow": [9, 14], "negligibli": 9, "might": 9, "conserv": 9, "absolut": [9, 14], "paramount": 9, "suggest": [9, 13], "better": 9, "over": [9, 13, 14], "either": [9, 11, 12, 13], "As": [9, 13, 14], "experiment": 9, "best": [9, 13], "guid": 9, "practic": 9, "mean": [9, 13], "someth": [9, 13, 14], "128": [9, 14], "complex64": [9, 13], "16": [9, 13, 14], "random": [9, 11, 12, 13, 14], "randn": [9, 11, 12, 13, 14], "1j": [9, 14], "fft_a": [9, 14], "Will": 9, "b": [9, 11, 12, 13, 14], "fft_b": 9, "c": [9, 11, 12, 13, 14], "fft_c": 9, "usual": [9, 13], "initi": [9, 14], "prohibit": 9, "expens": 9, "Not": 9, "known": [9, 10, 14], "error": [9, 13], "finer": 9, "subset": [9, 13], "few": 9, "intermedi": 9, "everi": [9, 14], "overwrite_x": [9, 11, 12], "albeit": 9, "posit": [9, 11, 12, 13, 14], "consist": [9, 13, 14], "slightli": [9, 14], "suboptim": 9, "quicker": 9, "step": 9, "serv": 9, "set_work": 9, "context": 9, "manag": 9, "assum": [9, 13, 14], "possess": 9, "immedi": 9, "longer": [9, 13, 14], "temporarili": [9, 14], "period": [9, 14], "quit": [9, 13, 14], "properti": [9, 13], "lookup": 9, "store": [9, 14], "liber": [9, 14], "associ": [9, 13, 14], "keepal": [9, 14], "exce": 9, "At": 9, "spawn": 9, "keep": [9, 14], "track": 9, "stabl": 9, "keepalive_tim": 9, "minimum": 9, "kept": 9, "aliv": 9, "timer": [9, 14], "delet": 9, "mi": [11, 12], "transfer": [11, 12], "neatli": [11, 12], "wherea": [11, 12], "x": [11, 12], "six": [11, 12], "target": [11, 12, 13], "find": [11, 12, 13, 14], "next": [11, 12, 13], "fast": [11, 12, 13, 14], "11": [11, 12, 13], "13": [11, 12, 13], "f": [11, 12, 13, 14], "int": [11, 12, 13], "start": [11, 12, 13], "greater": [11, 12, 13], "prime": [11, 12, 13], "m": [11, 12, 13], "min_len": [11, 12, 13], "10007": [11, 12, 13], "worst": [11, 12, 13], "reduc": [11, 12, 13], "406": [11, 12, 13], "u": [11, 12, 13, 14], "10080": [11, 12, 13], "round": [11, 12, 13], "598": [11, 12, 13], "16384": [11, 12, 13], "dctn": 12, "nd": 12, "dstn": 12, "idct": 12, "idctn": 12, "idst": 12, "idstn": 12, "coupl": 13, "deal": [13, 14], "easier": [13, 14], "planning_timelimit": 13, "somewhat": 13, "infer": 13, "scheme": [13, 14], "itself": 13, "callabl": 13, "normalis": [13, 14], "addition": 13, "coerc": 13, "initialis": 13, "invalid": 13, "indexerror": 13, "fact": 13, "behaviour": 13, "happili": 13, "rudimentari": 13, "sort": 13, "poorli": 13, "histor": 13, "older": 13, "sens": [13, 14], "sinc": 13, "expand": 13, "multipl": 13, "fftw_backward": [13, 14], "agre": 13, "interest": 13, "fftw_redft00": [13, 14], "fftw_redft01": 13, "fftw_redft10": 13, "fftw_rodft01": 13, "fftw_rodft10": 13, "redft": 13, "acronym": 13, "similarli": [13, 14], "rodft": 13, "stand": 13, "odd": 13, "trail": 13, "notat": 13, "plain": 13, "across": 13, "last": [13, 14], "unfortun": 13, "variou": [13, 14], "cannot": 13, "combin": 13, "compromis": 13, "tell": 13, "anyth": 13, "simd": 13, "capabl": 13, "preserv": 13, "hit": 13, "implicit": 13, "littl": 13, "fftw_wisdom_onli": 13, "thu": 13, "higher": 13, "invok": [13, 14], "gil": 13, "necess": 13, "maximum": 13, "spend": 13, "rough": 13, "estim": 13, "fftw_set_timelimit": 13, "run": [13, 14], "indefinit": 13, "until": 13, "tri": 13, "current": [13, 14], "float32": [13, 14], "float64": [13, 14], "inher": 13, "gain": 13, "achiev": 13, "typic": 13, "map": 13, "complex256": 13, "complex192": 13, "float128": 13, "float96": 13, "denot": 13, "uniqu": 13, "subject": 13, "shown": 13, "stipul": 13, "further": [13, 14], "arrang": 13, "worri": 13, "fine": 13, "calcul": 13, "unnorm": 13, "greatli": 13, "begin": [13, 14], "boundari": [13, 14], "produc": [13, 14], "optimum": [13, 14], "avx": 13, "sse": 13, "displac": 13, "constant": 13, "construct": [13, 14], "fftw_r": 13, "canon": 13, "life": 13, "simpler": 13, "unitari": 13, "parsev": 13, "theorem": 13, "sum": 13, "squar": 13, "word": 13, "energi": 13, "appropri": [13, 14], "structur": 13, "mandat": 13, "enforc": 13, "again": 13, "new_input_arrai": 13, "new_output_arrai": 13, "cours": 13, "natur": 13, "less": 13, "stringent": 13, "simpli": [13, 14], "shift": 13, "sai": 13, "invari": 13, "sane": 13, "state": 13, "kind": 13, "put": [13, 14], "deprec": 13, "abil": 13, "restor": 13, "empti": [13, 14], "boolean": 13, "success": 13, "forget": [13, 14], "give": [13, 14], "inspect": [13, 14], "cpu": [13, 14], "ado": 13, "forc": 13, "ones": 13, "undefin": 13, "openmp": 13, "omp_num_thread": 13, "multiprocess": [13, 14], "cpu_count": [13, 14], "modifi": [13, 14], "why": 14, "want": 14, "advanc": 14, "lot": 14, "techniqu": 14, "measur": 14, "thing": 14, "interact": 14, "split": 14, "introduct": 14, "secondli": 14, "easiest": 14, "apart": 14, "allclos": 14, "session": 14, "save": 14, "knowledg": 14, "never": 14, "slower": 14, "recommend": 14, "whenev": 14, "global": 14, "backend": 14, "ref": 14, "interfaces_tutori": 14, "demonstr": 14, "fftconvolv": 14, "timeit": 14, "lambda": 14, "print": 14, "3f": 14, "100": 14, "set_backend": 14, "cheat": 14, "monkei": 14, "them": 14, "individu": 14, "signaltool": 14, "encapsul": 14, "discuss": 14, "experi": 14, "arbitrarili": 14, "common": 14, "simplest": 14, "pair": 14, "insomuch": 14, "togeth": 14, "decid": 14, "relev": 14, "fft_object": 14, "ifft_object": 14, "overrid": 14, "dct_transform": 14, "end": 14, "ai": 14, "ifft_b": 14, "accept": 14, "wrong": 14, "wrongli": 14, "lower": 14, "fft_object_a": 14, "fft_object_b": 14, "fft_object_c": 14, "problemat": 14, "distinguish": 14, "record": 14, "forgotten": 14, "back": 14, "difficulti": 14, "regular": 14, "right": 14, "perspect": 14, "ident": 14, "With": 14, "fft_wrapper_object": 14, "element": 14, "self": 14, "explanatori": 14, "reader": 14, "footnot": 14, "probabl": 14, "clearli": 14, "appear": 14, "regardless": 14, "deem": 14, "fring": 14}, "objects": {"": [[13, 0, 0, "-", "pyfftw"]], "pyfftw": [[13, 1, 1, "", "FFTW"], [7, 0, 0, "-", "builders"], [13, 4, 1, "", "byte_align"], [13, 4, 1, "", "empty_aligned"], [13, 4, 1, "", "export_wisdom"], [13, 4, 1, "", "forget_wisdom"], [13, 4, 1, "", "import_wisdom"], [9, 0, 0, "-", "interfaces"], [13, 4, 1, "", "is_byte_aligned"], [13, 4, 1, "", "is_n_byte_aligned"], [13, 4, 1, "", "n_byte_align"], [13, 4, 1, "", "n_byte_align_empty"], [13, 4, 1, "", "next_fast_len"], [13, 4, 1, "", "ones_aligned"], [13, 4, 1, "", "zeros_aligned"]], "pyfftw.FFTW": [[13, 2, 1, "", "N"], [13, 3, 1, "", "__call__"], [13, 2, 1, "", "axes"], [13, 2, 1, "", "direction"], [13, 3, 1, "", "execute"], [13, 2, 1, "", "flags"], [13, 3, 1, "", "get_input_array"], [13, 3, 1, "", "get_output_array"], [13, 2, 1, "", "input_alignment"], [13, 2, 1, "", "input_array"], [13, 2, 1, "", "input_dtype"], [13, 2, 1, "", "input_shape"], [13, 2, 1, "", "input_strides"], [13, 2, 1, "", "normalise_idft"], [13, 2, 1, "", "ortho"], [13, 2, 1, "", "output_alignment"], [13, 2, 1, "", "output_array"], [13, 2, 1, "", "output_dtype"], [13, 2, 1, "", "output_shape"], [13, 2, 1, "", "output_strides"], [13, 2, 1, "", "simd_aligned"], [13, 3, 1, "", "update_arrays"]], "pyfftw.builders": [[6, 0, 0, "-", "_utils"], [7, 4, 1, "", "dct"], [7, 4, 1, "", "dst"], [7, 4, 1, "", "fft"], [7, 4, 1, "", "fft2"], [7, 4, 1, "", "fftn"], [7, 4, 1, "", "ifft"], [7, 4, 1, "", "ifft2"], [7, 4, 1, "", "ifftn"], [7, 4, 1, "", "irfft"], [7, 4, 1, "", "irfft2"], [7, 4, 1, "", "irfftn"], [7, 4, 1, "", "rfft"], [7, 4, 1, "", "rfft2"], [7, 4, 1, "", "rfftn"]], "pyfftw.builders._utils": [[6, 1, 1, "", "_FFTWWrapper"], [6, 4, 1, "", "_Xfftn"], [6, 4, 1, "", "_compute_array_shapes"], [6, 4, 1, "", "_cook_nd_args"], [6, 4, 1, "", "_precook_1d_args"], [6, 4, 1, "", "_setup_input_slicers"]], "pyfftw.builders._utils._FFTWWrapper": [[6, 3, 1, "", "__call__"]], "pyfftw.interfaces": [[9, 0, 0, "-", "cache"], [8, 0, 0, "-", "dask_fft"], [10, 0, 0, "-", "numpy_fft"], [11, 0, 0, "-", "scipy_fft"], [12, 0, 0, "-", "scipy_fftpack"]], "pyfftw.interfaces.cache": [[9, 4, 1, "", "disable"], [9, 4, 1, "", "enable"], [9, 4, 1, "", "set_keepalive_time"]], "pyfftw.interfaces.dask_fft": [[8, 4, 1, "", "fft"], [8, 4, 1, "", "fft2"], [8, 4, 1, "", "fftn"], [8, 4, 1, "", "hfft"], [8, 4, 1, "", "ifft"], [8, 4, 1, "", "ifft2"], [8, 4, 1, "", "ifftn"], [8, 4, 1, "", "ihfft"], [8, 4, 1, "", "irfft"], [8, 4, 1, "", "irfft2"], [8, 4, 1, "", "irfftn"], [8, 4, 1, "", "rfft"], [8, 4, 1, "", "rfft2"], [8, 4, 1, "", "rfftn"]], "pyfftw.interfaces.numpy_fft": [[10, 4, 1, "", "fft"], [10, 4, 1, "", "fft2"], [10, 4, 1, "", "fftn"], [10, 4, 1, "", "hfft"], [10, 4, 1, "", "ifft"], [10, 4, 1, "", "ifft2"], [10, 4, 1, "", "ifftn"], [10, 4, 1, "", "ihfft"], [10, 4, 1, "", "irfft"], [10, 4, 1, "", "irfft2"], [10, 4, 1, "", "irfftn"], [10, 4, 1, "", "rfft"], [10, 4, 1, "", "rfft2"], [10, 4, 1, "", "rfftn"]], "pyfftw.interfaces.scipy_fft": [[11, 4, 1, "", "fft"], [11, 4, 1, "", "fft2"], [11, 4, 1, "", "fftn"], [11, 4, 1, "", "hfft"], [11, 4, 1, "", "ifft"], [11, 4, 1, "", "ifft2"], [11, 4, 1, "", "ifftn"], [11, 4, 1, "", "ihfft"], [11, 4, 1, "", "irfft"], [11, 4, 1, "", "irfft2"], [11, 4, 1, "", "irfftn"], [11, 4, 1, "", "next_fast_len"], [11, 4, 1, "", "rfft"], [11, 4, 1, "", "rfft2"], [11, 4, 1, "", "rfftn"]], "pyfftw.interfaces.scipy_fftpack": [[12, 4, 1, "", "dct"], [12, 4, 1, "", "dctn"], [12, 4, 1, "", "dst"], [12, 4, 1, "", "dstn"], [12, 4, 1, "", "fft"], [12, 4, 1, "", "fft2"], [12, 4, 1, "", "fftn"], [12, 4, 1, "", "idct"], [12, 4, 1, "", "idctn"], [12, 4, 1, "", "idst"], [12, 4, 1, "", "idstn"], [12, 4, 1, "", "ifft"], [12, 4, 1, "", "ifft2"], [12, 4, 1, "", "ifftn"], [12, 4, 1, "", "irfft"], [12, 4, 1, "", "next_fast_len"], [12, 4, 1, "", "rfft"]], "pyfftw.pyfftw.config": [[13, 5, 1, "", "NUM_THREADS"], [13, 5, 1, "", "PLANNER_EFFORT"]], "pyfftw.pyfftw": [[13, 5, 1, "", "simd_alignment"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:attribute", "3": "py:method", "4": "py:function", "5": "py:data"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "attribute", "Python attribute"], "3": ["py", "method", "Python method"], "4": ["py", "function", "Python function"], "5": ["py", "data", "Python data"]}, "titleterms": {"welcom": 0, "pyfftw": [0, 1, 2, 3, 6, 7, 9, 13, 14], "": 0, "document": 0, "introduct": 0, "content": 0, "indic": 0, "tabl": 0, "v0": [1, 2, 3], "11": 1, "0": [1, 2, 3], "releas": [1, 2, 3], "note": [1, 2, 3], "new": [1, 2], "featur": [1, 2], "dask": [1, 8], "interfac": [1, 2, 7, 8, 9, 10, 11, 12, 14], "fast": 1, "transform": [1, 14], "plan": [1, 14], "util": [1, 13], "expand": 1, "support": [1, 7], "norm": 1, "keyword": 1, "argument": [1, 7, 9], "numpi": [1, 7, 10], "fftw": [1, 7, 13, 14], "builder": [1, 6, 7, 14], "dynam": 1, "librari": [1, 14], "detect": 1, "build": 1, "run": 1, "time": 1, "openmp": 1, "thread": [1, 14], "custom": 1, "configur": [1, 13, 14], "planner": 1, "bug": [1, 2], "fix": [1, 2], "other": [1, 2, 9], "chang": [1, 2], "author": [1, 2, 3], "issu": [1, 2], "close": [1, 2], "pull": [1, 2, 3], "request": [1, 2, 3], "12": 2, "scipi": [2, 11, 12], "fft": [2, 7, 8, 9, 10, 11], "13": 3, "8": 3, "ad": 3, "thi": 3, "alphabet": 3, "first": 3, "name": 3, "login": 3, "3": 3, "review": 3, "api": 4, "refer": 4, "licens": 5, "_util": 6, "helper": 6, "function": [6, 7, 9, 13, 14], "get": 7, "object": 7, "us": 7, "like": 7, "overview": [7, 14], "caveat": 7, "addit": [7, 9], "The": [7, 13, 14], "drop": 9, "replac": 9, "implement": 9, "numpy_fft": 9, "scipy_fft": 9, "scipy_fftpack": 9, "dask_fft": 9, "cach": 9, "fftpack": 12, "core": 13, "class": [13, 14], "wisdom": [13, 14], "A": 14, "short": 14, "tutori": 14, "quick": 14, "easi": 14, "modul": 14, "integr": 14, "3rd": 14, "parti": 14, "workhors": 14, "One": 14, "dimension": 14, "multi": 14, "effort": 14, "number": 14}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 8, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "sphinx": 57}, "alltitles": {"Welcome to pyFFTW\u2019s documentation!": [[0, "welcome-to-pyfftw-s-documentation"]], "Introduction": [[0, "introduction"]], "Contents": [[0, "contents"]], "Indices and tables": [[0, "indices-and-tables"]], "pyFFTW v0.11.0 Release Notes": [[1, "pyfftw-v0-11-0-release-notes"]], "New features": [[1, "new-features"], [2, "new-features"]], "Dask interface": [[1, "dask-interface"]], "Fast transform planning utility": [[1, "fast-transform-planning-utility"]], "Expanded support for norm keyword argument in the numpy interfaces": [[1, "expanded-support-for-norm-keyword-argument-in-the-numpy-interfaces"]], "Support for norm keyword argument in FFTW builders": [[1, "support-for-norm-keyword-argument-in-fftw-builders"]], "Dynamic library detection at build and run time": [[1, "dynamic-library-detection-at-build-and-run-time"]], "OpenMP threading support": [[1, "openmp-threading-support"]], "Custom Configuration of Planners and Interfaces": [[1, "custom-configuration-of-planners-and-interfaces"]], "Bugs Fixed": [[1, "bugs-fixed"], [2, "bugs-fixed"]], "Other changes": [[1, "other-changes"], [2, "other-changes"]], "Authors": [[1, "authors"], [2, "authors"]], "Issues closed for v0.11": [[1, "issues-closed-for-v0-11"]], "Pull requests for v0.11": [[1, "pull-requests-for-v0-11"]], "pyFFTW v0.12.0 Release Notes": [[2, "pyfftw-v0-12-0-release-notes"]], "scipy.fft interface": [[2, "scipy-fft-interface"], [11, "module-pyfftw.interfaces.scipy_fft"]], "Issues closed for v0.12": [[2, "issues-closed-for-v0-12"]], "Pull requests for v0.12": [[2, "pull-requests-for-v0-12"]], "pyFFTW v0.13.0 release notes": [[3, "pyfftw-v0-13-0-release-notes"]], "Pull requests for v0.13.0": [[3, "pull-requests-for-v0-13-0"]], "8 authors added to this release [alphabetical by first name or login]": [[3, "authors-added-to-this-release-alphabetical-by-first-name-or-login"]], "3 reviewers added to this release [alphabetical by first name or login]": [[3, "reviewers-added-to-this-release-alphabetical-by-first-name-or-login"]], "API Reference": [[4, "api-reference"]], "License": [[5, "license"]], "pyfftw.builders._utils - Helper functions for pyfftw.builders": [[6, "module-pyfftw.builders._utils"]], "pyfftw.builders - Get FFTW objects using a numpy.fft like interface": [[7, "module-pyfftw.builders"]], "Overview": [[7, "overview"]], "Supported Functions and Caveats": [[7, "supported-functions-and-caveats"]], "Additional Arguments": [[7, "additional-arguments"], [9, "additional-arguments"]], "The Functions": [[7, "the-functions"]], "dask.fft interface": [[8, "module-pyfftw.interfaces.dask_fft"]], "pyfftw.interfaces - Drop in replacements for other FFT implementations": [[9, "pyfftw-interfaces-drop-in-replacements-for-other-fft-implementations"]], "Implemented Functions": [[9, "implemented-functions"]], "numpy_fft": [[9, "numpy-fft"]], "scipy_fft": [[9, "scipy-fft"]], "scipy_fftpack": [[9, "scipy-fftpack"]], "dask_fft": [[9, "dask-fft"]], "Caching": [[9, "module-pyfftw.interfaces.cache"]], "numpy.fft interface": [[10, "module-pyfftw.interfaces.numpy_fft"]], "scipy.fftpack interface": [[12, "module-pyfftw.interfaces.scipy_fftpack"]], "pyfftw - The core": [[13, "module-pyfftw"]], "FFTW Class": [[13, "fftw-class"]], "Wisdom Functions": [[13, "wisdom-functions"]], "Utility Functions": [[13, "utility-functions"]], "FFTW Configuration": [[13, "fftw-configuration"]], "Overview and A Short Tutorial": [[14, "overview-and-a-short-tutorial"]], "Quick and easy: the pyfftw.interfaces module": [[14, "quick-and-easy-the-pyfftw-interfaces-module"]], "Integration with 3rd party libraries": [[14, "integration-with-3rd-party-libraries"]], "The workhorse pyfftw.FFTW class": [[14, "the-workhorse-pyfftw-fftw-class"]], "One-Dimensional Transforms": [[14, "one-dimensional-transforms"]], "Multi-Dimensional Transforms": [[14, "multi-dimensional-transforms"]], "Wisdom": [[14, "wisdom"]], "The pyfftw.builders functions": [[14, "the-pyfftw-builders-functions"]], "Configuring FFTW planning effort and number of threads": [[14, "configuring-fftw-planning-effort-and-number-of-threads"]]}, "indexentries": {"_fftwwrapper (class in pyfftw.builders._utils)": [[6, "pyfftw.builders._utils._FFTWWrapper"]], "_xfftn() (in module pyfftw.builders._utils)": [[6, "pyfftw.builders._utils._Xfftn"]], "__call__() (pyfftw.builders._utils._fftwwrapper method)": [[6, "pyfftw.builders._utils._FFTWWrapper.__call__"]], "_compute_array_shapes() (in module pyfftw.builders._utils)": [[6, "pyfftw.builders._utils._compute_array_shapes"]], "_cook_nd_args() (in module pyfftw.builders._utils)": [[6, "pyfftw.builders._utils._cook_nd_args"]], "_precook_1d_args() (in module pyfftw.builders._utils)": [[6, "pyfftw.builders._utils._precook_1d_args"]], "_setup_input_slicers() (in module pyfftw.builders._utils)": [[6, "pyfftw.builders._utils._setup_input_slicers"]], "module": [[6, "module-pyfftw.builders._utils"], [7, "module-pyfftw.builders"], [8, "module-pyfftw.interfaces.dask_fft"], [9, "module-pyfftw.interfaces"], [9, "module-pyfftw.interfaces.cache"], [10, "module-pyfftw.interfaces.numpy_fft"], [11, "module-pyfftw.interfaces.scipy_fft"], [12, "module-pyfftw.interfaces.scipy_fftpack"], [13, "module-pyfftw"]], "pyfftw.builders._utils": [[6, "module-pyfftw.builders._utils"]], "dct() (in module pyfftw.builders)": [[7, "pyfftw.builders.dct"]], "dst() (in module pyfftw.builders)": [[7, "pyfftw.builders.dst"]], "fft() (in module pyfftw.builders)": [[7, "pyfftw.builders.fft"]], "fft2() (in module pyfftw.builders)": [[7, "pyfftw.builders.fft2"]], "fftn() (in module pyfftw.builders)": [[7, "pyfftw.builders.fftn"]], "ifft() (in module pyfftw.builders)": [[7, "pyfftw.builders.ifft"]], "ifft2() (in module pyfftw.builders)": [[7, "pyfftw.builders.ifft2"]], "ifftn() (in module pyfftw.builders)": [[7, "pyfftw.builders.ifftn"]], "irfft() (in module pyfftw.builders)": [[7, "pyfftw.builders.irfft"]], "irfft2() (in module pyfftw.builders)": [[7, "pyfftw.builders.irfft2"]], "irfftn() (in module pyfftw.builders)": [[7, "pyfftw.builders.irfftn"]], "pyfftw.builders": [[7, "module-pyfftw.builders"]], "rfft() (in module pyfftw.builders)": [[7, "pyfftw.builders.rfft"]], "rfft2() (in module pyfftw.builders)": [[7, "pyfftw.builders.rfft2"]], "rfftn() (in module pyfftw.builders)": [[7, "pyfftw.builders.rfftn"]], "fft() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.fft"]], "fft2() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.fft2"]], "fftn() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.fftn"]], "hfft() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.hfft"]], "ifft() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.ifft"]], "ifft2() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.ifft2"]], "ifftn() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.ifftn"]], "ihfft() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.ihfft"]], "irfft() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.irfft"]], "irfft2() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.irfft2"]], "irfftn() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.irfftn"]], "pyfftw.interfaces.dask_fft": [[8, "module-pyfftw.interfaces.dask_fft"]], "rfft() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.rfft"]], "rfft2() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.rfft2"]], "rfftn() (in module pyfftw.interfaces.dask_fft)": [[8, "pyfftw.interfaces.dask_fft.rfftn"]], "disable() (in module pyfftw.interfaces.cache)": [[9, "pyfftw.interfaces.cache.disable"]], "enable() (in module pyfftw.interfaces.cache)": [[9, "pyfftw.interfaces.cache.enable"]], "pyfftw.interfaces": [[9, "module-pyfftw.interfaces"]], "pyfftw.interfaces.cache": [[9, "module-pyfftw.interfaces.cache"]], "set_keepalive_time() (in module pyfftw.interfaces.cache)": [[9, "pyfftw.interfaces.cache.set_keepalive_time"]], "fft() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.fft"]], "fft2() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.fft2"]], "fftn() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.fftn"]], "hfft() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.hfft"]], "ifft() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.ifft"]], "ifft2() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.ifft2"]], "ifftn() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.ifftn"]], "ihfft() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.ihfft"]], "irfft() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.irfft"]], "irfft2() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.irfft2"]], "irfftn() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.irfftn"]], "pyfftw.interfaces.numpy_fft": [[10, "module-pyfftw.interfaces.numpy_fft"]], "rfft() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.rfft"]], "rfft2() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.rfft2"]], "rfftn() (in module pyfftw.interfaces.numpy_fft)": [[10, "pyfftw.interfaces.numpy_fft.rfftn"]], "fft() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.fft"]], "fft2() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.fft2"]], "fftn() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.fftn"]], "hfft() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.hfft"]], "ifft() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.ifft"]], "ifft2() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.ifft2"]], "ifftn() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.ifftn"]], "ihfft() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.ihfft"]], "irfft() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.irfft"]], "irfft2() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.irfft2"]], "irfftn() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.irfftn"]], "next_fast_len() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.next_fast_len"]], "pyfftw.interfaces.scipy_fft": [[11, "module-pyfftw.interfaces.scipy_fft"]], "rfft() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.rfft"]], "rfft2() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.rfft2"]], "rfftn() (in module pyfftw.interfaces.scipy_fft)": [[11, "pyfftw.interfaces.scipy_fft.rfftn"]], "dct() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.dct"]], "dctn() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.dctn"]], "dst() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.dst"]], "dstn() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.dstn"]], "fft() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.fft"]], "fft2() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.fft2"]], "fftn() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.fftn"]], "idct() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.idct"]], "idctn() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.idctn"]], "idst() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.idst"]], "idstn() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.idstn"]], "ifft() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.ifft"]], "ifft2() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.ifft2"]], "ifftn() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.ifftn"]], "irfft() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.irfft"]], "next_fast_len() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.next_fast_len"]], "pyfftw.interfaces.scipy_fftpack": [[12, "module-pyfftw.interfaces.scipy_fftpack"]], "rfft() (in module pyfftw.interfaces.scipy_fftpack)": [[12, "pyfftw.interfaces.scipy_fftpack.rfft"]], "fftw (class in pyfftw)": [[13, "pyfftw.FFTW"]], "n (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.N"]], "__call__() (pyfftw.fftw method)": [[13, "pyfftw.FFTW.__call__"]], "axes (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.axes"]], "byte_align() (in module pyfftw)": [[13, "pyfftw.byte_align"]], "direction (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.direction"]], "empty_aligned() (in module pyfftw)": [[13, "pyfftw.empty_aligned"]], "execute() (pyfftw.fftw method)": [[13, "pyfftw.FFTW.execute"]], "export_wisdom() (in module pyfftw)": [[13, "pyfftw.export_wisdom"]], "flags (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.flags"]], "forget_wisdom() (in module pyfftw)": [[13, "pyfftw.forget_wisdom"]], "get_input_array() (pyfftw.fftw method)": [[13, "pyfftw.FFTW.get_input_array"]], "get_output_array() (pyfftw.fftw method)": [[13, "pyfftw.FFTW.get_output_array"]], "import_wisdom() (in module pyfftw)": [[13, "pyfftw.import_wisdom"]], "input_alignment (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.input_alignment"]], "input_array (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.input_array"]], "input_dtype (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.input_dtype"]], "input_shape (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.input_shape"]], "input_strides (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.input_strides"]], "is_byte_aligned() (in module pyfftw)": [[13, "pyfftw.is_byte_aligned"]], "is_n_byte_aligned() (in module pyfftw)": [[13, "pyfftw.is_n_byte_aligned"]], "n_byte_align() (in module pyfftw)": [[13, "pyfftw.n_byte_align"]], "n_byte_align_empty() (in module pyfftw)": [[13, "pyfftw.n_byte_align_empty"]], "next_fast_len() (in module pyfftw)": [[13, "pyfftw.next_fast_len"]], "normalise_idft (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.normalise_idft"]], "ones_aligned() (in module pyfftw)": [[13, "pyfftw.ones_aligned"]], "ortho (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.ortho"]], "output_alignment (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.output_alignment"]], "output_array (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.output_array"]], "output_dtype (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.output_dtype"]], "output_shape (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.output_shape"]], "output_strides (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.output_strides"]], "pyfftw": [[13, "module-pyfftw"]], "pyfftw.config.num_threads (in module pyfftw)": [[13, "pyfftw.pyfftw.config.NUM_THREADS"]], "pyfftw.config.planner_effort (in module pyfftw)": [[13, "pyfftw.pyfftw.config.PLANNER_EFFORT"]], "pyfftw.simd_alignment (in module pyfftw)": [[13, "pyfftw.pyfftw.simd_alignment"]], "simd_aligned (pyfftw.fftw attribute)": [[13, "pyfftw.FFTW.simd_aligned"]], "update_arrays() (pyfftw.fftw method)": [[13, "pyfftw.FFTW.update_arrays"]], "zeros_aligned() (in module pyfftw)": [[13, "pyfftw.zeros_aligned"]]}})